View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000333aMuleFeature Requestpublic2005-03-20 16:002005-03-31 02:52
Reporterpinok 
Assigned ToKry 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.0-rc8 
Target VersionFixed in VersionSVN 
Summary0000333: When rightclick on systray icon
DescriptionWhen i rightclick on aMule icon on systray it crash on every time i do it. My system is Ubuntu, but i have same issue on other debian based distro's, i tried on knoppix, mepis and ubuntu. I spoke with other users of debian and the error is the same
Additional Information(amule:28614): Gtk-CRITICAL **: gtk_accel_label_new: assertion `string != NULL' failed

(amule:28614): Gtk-CRITICAL **: gtk_misc_set_alignment: assertion `GTK_IS_MISC (misc)' failed

(amule:28614): Gtk-CRITICAL **: gtk_container_add: assertion `GTK_IS_WIDGET (widget)' failed

(amule:28614): Gtk-CRITICAL **: gtk_accel_label_set_accel_widget: assertion `GTK_IS_ACCEL_LABEL (accel_label)' failed

--------------------------------------------------------------------------------OOPS! Houston, we have a situation: seems like aMule crashed!
Please, post these lines on the backtrace forum on http://www.amule.org/ [^]
aMule version is: 2.0.0rc8 using wxGTK2 v2.5.3 (Unicoded)
----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
[0] CamuleApp::OnFatalException() in amule.cpp:979
[1] wxFatalSignalHandler in /usr/lib/libwx_baseu-2.5.so.3[0xb7a7e854]
[2] ?? in [0xffffe420]
[3] gtk_menu_item_new_with_label in /usr/lib/libgtk-x11-2.0.so.0[0xb7636807]
[4] tray_menu in SysTray.cpp:183
[5] tray_clicked in SysTray.cpp:497
[6] _gtk_marshal_BOOLEAN__BOXED in /usr/lib/libgtk-x11-2.0.so.0[0xb762bbca]
[7] g_closure_invoke in /usr/lib/libgobject-2.0.so.0[0xb73f5351]
[8] ?? in /usr/lib/libgobject-2.0.so.0 [0xb74057e2]
[9] g_signal_emit_valist in /usr/lib/libgobject-2.0.so.0[0xb74046ef]
[10] g_signal_emit in /usr/lib/libgobject-2.0.so.0[0xb7404b75]
[11] ?? in /usr/lib/libgtk-x11-2.0.so.0 [0xb770d9b9]
[12] gtk_propagate_event in /usr/lib/libgtk-x11-2.0.so.0[0xb762a7de]
[13] gtk_main_do_event in /usr/lib/libgtk-x11-2.0.so.0[0xb76297bb]
[14] ?? in /usr/lib/libgdk-x11-2.0.so.0 [0xb74d5b0b]
[15] ?? in /usr/lib/libglib-2.0.so.0 [0xb738fd0f]
[16] g_main_context_dispatch in /usr/lib/libglib-2.0.so.0[0xb7390cb5]
[17] ?? in /usr/lib/libglib-2.0.so.0 [0xb7390fd7]
[18] g_main_loop_run in /usr/lib/libglib-2.0.so.0[0xb739151e]
[19] gtk_main in /usr/lib/libgtk-x11-2.0.so.0[0xb762910f]
[20] wxEventLoop::Run() in /usr/lib/libwx_gtk2u_core-2.5.so.3[0xb7c401d6]
[21] wxAppBase::MainLoop() in /usr/lib/libwx_gtk2u_core-2.5.so.3[0xb7ccbdf5]
[22] wxAppBase::OnRun() in /usr/lib/libwx_gtk2u_core-2.5.so.3[0xb7ccbf1c]
[23] wxEntry(int&, wchar_t**) in /usr/lib/libwx_baseu-2.5.so.3[0xb7a15637]
[24] wxEntry(int&, char**) in /usr/lib/libwx_baseu-2.5.so.3[0xb7a156ef]
[25] main in amule-gui.cpp:161
[26] __libc_start_main in /lib/tls/i686/cmov/libc.so.6[0xb716e8c8]
[27] wxMemoryDC::SetPen(wxPen const&) in start.S:105

--------------------------------------------------------------------------------
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000761)
Xaignar (manager)
2005-03-21 00:13

Try upgrading to a recent CVS snapshot and let us know if the problem persists: http://www.amule.org/wiki/index.php/AMule_CVS [^]

Cheers,
 Xaignar
(0000765)
Kry (manager)
2005-03-21 03:21

Is this a packaged or self-compield amule?
(0000773)
pinok (reporter)
2005-03-21 10:35

I treid with .deb and compiled myself, but result is the same.
(0000782)
Kry (manager)
2005-03-23 01:11

did you --enable-utf8-systray when self-compiled?
(0000784)
pinok (reporter)
2005-03-23 09:30

I can't remember it now, but i compiled without any options or arguments, just defaults.
(0000789)
Kry (manager)
2005-03-25 22:12

Try it then
(0000790)
pinok (reporter)
2005-03-25 23:59

I compiled with --enable-utf8-systray option, it don't crash now when i rightclik on systrtay icon but it shows this i terminal, and it shows no information about transfer:
[code]
 (amule:17605): Pango-WARNING **: Invalid UTF-8 string passed to pango_layout_set_text()
(0000799)
Kry (manager)
2005-03-29 02:04

What do you mean no info about transfer?
(0000805)
pinok (reporter)
2005-03-29 13:52

When i point my mouse on aMule icon on systray (not click just point) then it should display infomration about upload/download/connected, but i see then only yellow frame with nothing in it, in console it shows this " (amule:17605): Pango-WARNING **: Invalid UTF-8 string passed to pango_layout_set_text()"
Also when i rightclick on systray icon it shows menu, but in menu there are no names of functions anly blank fields. I know (from memory) where is for example exit and when i click on it, it works. I was concerning that maybe i have something wrong with my fonts but my whole system is UTF8 and fonts work just fine.
(0000808)
pinok (reporter)
2005-03-30 23:52

Hi, i compiled CVS 20050330 sources and everything works fine :)
(0000809)
Kry (manager)
2005-03-31 02:52

Yay! Closed then. Thanks!

- Issue History
Date Modified Username Field Change
2005-03-20 16:00 pinok New Issue
2005-03-21 00:13 Xaignar Note Added: 0000761
2005-03-21 03:21 Kry Note Added: 0000765
2005-03-21 04:04 Kry Status new => assigned
2005-03-21 04:04 Kry Assigned To => Kry
2005-03-21 04:05 Kry Status assigned => feedback
2005-03-21 10:35 pinok Note Added: 0000773
2005-03-23 01:11 Kry Note Added: 0000782
2005-03-23 09:30 pinok Note Added: 0000784
2005-03-25 22:12 Kry Note Added: 0000789
2005-03-25 23:59 pinok Note Added: 0000790
2005-03-29 02:04 Kry Note Added: 0000799
2005-03-29 13:52 pinok Note Added: 0000805
2005-03-30 23:52 pinok Note Added: 0000808
2005-03-31 02:52 Kry Status feedback => resolved
2005-03-31 02:52 Kry Fixed in Version => CVS
2005-03-31 02:52 Kry Resolution open => fixed
2005-03-31 02:52 Kry Note Added: 0000809


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker